#include "I2C_eeprom.h"
#include "user_eeprom.h"

//Chip_CS:   0 = 512KBits, 1 = 1MBits

unsigned int eeprom_write_byte_via_page(unsigned int chip_cs, unsigned int addr, unsigned char *pdata, unsigned int len)
{
	return I2C_byte_write_via_page(chip_cs, addr, pdata, len);
}

unsigned int eeprom_write_page(unsigned int chip_cs, unsigned int addr, unsigned char *pdata)
{
	return I2C_page_write(chip_cs, addr, pdata);
}

unsigned int eeprom_read_byte(unsigned int chip_cs, unsigned int addr, unsigned char *pdata, unsigned int len)
{
	return I2C_page_read(chip_cs, addr, pdata, len);
}








